## ocfs2-tools 1.1.1

=== Makefile ===
TOPDIR = .
 
include $(TOPDIR)/Preamble.make

RPM_TOPDIR = $(CURDIR)

RPMBUILD = $(shell /usr/bin/which rpmbuild 2>/dev/null || /usr/bin/which rpm 2>/dev/null || echo /bin/false)

SUSEBUILD = $(shell if test -r /etc/SuSE-release; then echo yes; else echo no; fi)

PYVERSION = $(shell echo $(pyexecdir) | sed -e 's/.*python\([0-9]\.[0-9]\).*/\1/')

ifeq ($(SUSEBUILD),yes)
PYGTK_NAME = python-gtk
CHKCONFIG_DEP = aaa_base
COMPILE_PY = 0
else
PYGTK_NAME = pygtk2
CHKCONFIG_DEP = chkconfig
COMPILE_PY = 1
endif

TOOLSARCH = $(shell $(TOPDIR)/rpmarch.guess tools $(TOPDIR))

ifeq ($(TOOLSARCH),error)
$(error could not detect architecture for tools)
endif

SUBDIRS = libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 listuuid sizetest extras patches

ifdef BUILD_OCFS2CDSL
SUBDIRS += ocfs2cdsl
endif

ifdef BUILD_OCFS2CONSOLE
SUBDIRS += ocfs2console
endif

SUBDIRS += vendor

DEBIAN_FILES =					\
	debian/README.Debian			\
	debian/changelog			\
	debian/compat				\
	debian/control				\
	debian/ocfs2-tools.copyright		\
	debian/ocfs2-tools.docs			\
	debian/ocfs2-tools.install		\
	debian/ocfs2-tools.manpages		\
	debian/ocfs2-tools.postinst		\
	debian/ocfs2-tools.prerm		\
	debian/ocfs2console.copyright		\
	debian/ocfs2console.install		\
	debian/ocfs2console.manpages		\
	debian/ocfs2console.postinst		\
	debian/ocfs2console.prerm		\
	debian/rules

DIST_FILES = \
	COPYING					\
	CREDITS					\
	MAINTAINERS				\
	README					\
	README.O2CB				\
	Config.make.in				\
	Preamble.make				\
	Postamble.make				\
	aclocal.m4				\
	glib-2.0.m4				\
	python.m4				\
	pythondev.m4				\
	runlog.m4				\
	config.guess				\
	config.sub				\
	configure				\
	configure.in				\
	install-sh				\
	mkinstalldirs				\
	rpmarch.guess				\
	documentation/ocfs2_faq.txt		\
	documentation/users_guide.txt		\
	documentation/samples/cluster.conf	\
	$(DEBIAN_FILES)

DIST_RULES = dist-subdircreate

.PHONY: dist dist-subdircreate dist-bye dist-fresh distclean

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/documentation/samples
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/debian

dist-bye:
	-rm -rf $(DIST_TOPDIR)

dist-fresh: dist-bye
	$(TOPDIR)/mkinstalldirs $(DIST_TOPDIR)

dist: dist-fresh dist-all
	GZIP=$(GZIP_OPTS) tar chozf $(DIST_TOPDIR).tar.gz $(DIST_TOPDIR)
	$(MAKE) dist-bye

distclean: clean
	rm -f Config.make config.status config.cache config.log

srpm: dist
	$(RPMBUILD) -bs --define "_sourcedir $(RPM_TOPDIR)" --define "_srcrpmdir $(RPM_TOPDIR)" --define "pygtk_name $(PYGTK_NAME)" --define "pyversion $(PYVERSION)" --define "chkconfig_dep $(CHKCONFIG_DEP)" --define "compile_py $(COMPILE_PY)" $(TOPDIR)/vendor/common/ocfs2-tools.spec

rpm: srpm
	$(RPMBUILD) --rebuild --define "pygtk_name $(PYGTK_NAME)" --define "pyversion $(PYVERSION)" --define "chkconfig_dep $(CHKCONFIG_DEP)" --define "compile_py $(COMPILE_PY)" $(TOOLSARCH) "ocfs2-tools-$(DIST_VERSION)-$(RPM_VERSION).src.rpm"

def:
	@echo $(TOOLSARCH)

include $(TOPDIR)/Postamble.make

=== debugfs.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = debugfs.ocfs2

DEFINES = -DG_DISABLE_DEPRECATED -DLINUX -DDEBUGOCFS -DDEBUG
DEFINES += -DOCFS2_FLAT_INCLUDES -DVERSION=\"$(VERSION)\" -DO2DLM_FLAT_INCLUDES -DO2CB_FLAT_INCLUDES

INCLUDES = -Iinclude -I$(TOPDIR)/libocfs2/include -I$(TOPDIR)/libo2dlm/include -I$(TOPDIR)/libo2cb/include
INCLUDES += $(GLIB_CFLAGS)

ifdef OCFS2_DEBUG
CFLAGS = -Wall -O -ggdb
else
CFLAGS = -Wall -O2
endif

CFILES = main.c commands.c dump.c utils.c journal.c

HFILES =			\
	include/main.h		\
	include/commands.h	\
	include/dump.h		\
	include/utils.h		\
	include/journal.h

OBJS = $(subst .c,.o,$(CFILES))

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb

MANS = debugfs.ocfs2.8

DIST_FILES = $(CFILES) $(HFILES) README debugfs.ocfs2.8.in

DIST_RULES = dist-subdircreate

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

debugfs.ocfs2: $(OBJS)
	$(LINK) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) -lreadline -lncurses

include $(TOPDIR)/Postamble.make

=== libocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

WARNINGS = -Wall -Wstrict-prototypes -Wmissing-prototypes \
	-Wmissing-declarations

ifdef OCFS2_DEBUG
OPTS += -ggdb
else
OPTS += -O2
endif

INCLUDES = -Iinclude -I$(TOPDIR)/libo2dlm/include -I$(TOPDIR)/libo2cb/include

LIBRARIES = libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

CFLAGS = $(OPTS) $(WARNINGS) -fPIC
CPPFLAGS += -DOCFS2_FLAT_INCLUDES -DO2DLM_FLAT_INCLUDES -DO2CB_FLAT_INCLUDES

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(DEBUG_EXE_PROGRAMS)

debug_%.o : %.c 
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_%: debug_%.o libocfs2.a $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(COM_ERR_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS)

endif

CFILES = 		\
	alloc.c		\
	bitmap.c	\
	bitops.c	\
	cached_inode.c	\
	chain.c		\
	chainalloc.c	\
	checkhb.c	\
	closefs.c	\
	dirblock.c	\
	dir_iterate.c	\
	dir_scan.c	\
	dlm.c		\
	fileio.c	\
	freefs.c	\
	expanddir.c	\
	extend_file.c	\
	extents.c	\
	extent_map.c	\
	getsectsize.c	\
	getsize.c	\
	heartbeat.c	\
	inode.c		\
	inode_scan.c	\
	ismounted.c	\
	kernel-rbtree.c	\
	link.c		\
	lookup.c	\
	memory.c	\
	mkjournal.c	\
	namei.c		\
	newdir.c	\
	openfs.c	\
	slot_map.c	\
	sysfile.c	\
	truncate.c	\
	unix_io.c	\
	unlink.c

HFILES =				\
	include/bitmap.h		\
	include/bitops.h		\
	include/byteorder.h		\
	include/dir_iterate.h		\
	include/dir_util.h		\
	include/extent_map.h		\
	include/jbd.h			\
	include/kernel-list.h		\
	include/kernel-rbtree.h		\
	include/ocfs1_fs_compat.h	\
	include/ocfs2_lockid.h		\
	include/ocfs2_fs.h		\
	include/ocfs2.h

HFILES_GEN =		\
	include/ocfs2_err.h

OBJS = $(subst .c,.o,$(CFILES)) \
	ocfs2_err.o

$(OBJS): $(HFILES_GEN)

include/ocfs2_err.h: ocfs2_err.h
	cp $< $@

ocfs2_err.c ocfs2_err.h: ocfs2_err.et
	compile_et ocfs2_err.et

libocfs2.a: $(OBJS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

DIST_FILES = $(CFILES) $(HFILES) ocfs2_err.et

DIST_RULES = dist-subdircreate

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

CLEAN_RULES = clean-err

clean-err:
	rm -f ocfs2_err.c ocfs2_err.h include/ocfs2_err.h

include $(TOPDIR)/Postamble.make

=== vendor/common/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

DIST_FILES = o2cb.init o2cb.sysconfig ocfs2-tools.spec.in

include $(TOPDIR)/Postamble.make

## ocfs2-tools 1.1.5

=== Makefile ===
--- 
+++ 
@@ -43,13 +43,12 @@
 	debian/changelog			\
 	debian/compat				\
 	debian/control				\
-	debian/ocfs2-tools.copyright		\
+	debian/copyright			\
 	debian/ocfs2-tools.docs			\
 	debian/ocfs2-tools.install		\
 	debian/ocfs2-tools.manpages		\
 	debian/ocfs2-tools.postinst		\
 	debian/ocfs2-tools.prerm		\
-	debian/ocfs2console.copyright		\
 	debian/ocfs2console.install		\
 	debian/ocfs2console.manpages		\
 	debian/ocfs2console.postinst		\

=== debugfs.ocfs2/Makefile ===
--- 
+++ 
@@ -17,14 +17,17 @@
 CFLAGS = -Wall -O2
 endif
 
-CFILES = main.c commands.c dump.c utils.c journal.c
+CFILES = main.c commands.c dump.c utils.c journal.c find_inode_paths.c dump_fs_locks.c
 
 HFILES =			\
-	include/main.h		\
-	include/commands.h	\
-	include/dump.h		\
-	include/utils.h		\
-	include/journal.h
+	include/main.h			\
+	include/commands.h		\
+	include/dump.h			\
+	include/utils.h			\
+	include/journal.h		\
+	include/find_inode_paths.h	\
+	include/ocfs2_internals.h	\
+	include/dump_fs_locks.h
 
 OBJS = $(subst .c,.o,$(CFILES))

=== extras/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

WARNINGS = -Wall -Wstrict-prototypes -Wmissing-prototypes \
           -Wmissing-declarations

ifdef OCFS2_DEBUG
OPTS = -g
endif

CFLAGS = $(OPTS) $(WARNINGS) 

UNINST_PROGRAMS = find_hardlinks find_dup_extents find_inode_paths set_random_bits decode_lockres encode_lockres mark_journal_dirty

INCLUDES = -I../libocfs2/include -I$(TOPDIR)/libo2dlm/include -I$(TOPDIR)/libo2cb/include

OPTIMIZE = -O2

DEFINES += -DOCFS2_FLAT_INCLUDES -DO2DLM_FLAT_INCLUDES -DO2CB_FLAT_INCLUDES

CFLAGS += $(OPTIMIZE)

FIND_HARDLINKS_CFILES = find_hardlinks.c
FIND_DUP_EXTENTS_CFILES = find_dup_extents.c
FIND_INODE_PATHS_CFILES = find_inode_paths.c
SET_RANDOM_BITS_CFILES = set_random_bits.c
DECODE_LOCKRES_CFILES = decode_lockres.c
ENCODE_LOCKRES_CFILES = encode_lockres.c
MARK_JOURNAL_DIRTY_CFILES = mark_journal_dirty.c

DIST_FILES = $(FIND_HARDLINKS_CFILES) $(FIND_DUP_EXTENTS_CFILES) $(FIND_INODE_PATHS_CFILES) $(SET_RANDOM_BITS_CFILES) $(DECODE_LOCKRES_CFILES) $(ENCODE_LOCKRES_CFILES) $(MARK_JOURNAL_DIRTY_CFILES)

FIND_HARDLINKS_OBJS = $(subst .c,.o,$(FIND_HARDLINKS_CFILES))
FIND_DUP_EXTENTS_OBJS = $(subst .c,.o,$(FIND_DUP_EXTENTS_CFILES))
FIND_INODE_PATHS_OBJS = $(subst .c,.o,$(FIND_INODE_PATHS_CFILES))
SET_RANDOM_BITS_OBJS  = $(subst .c,.o,$(SET_RANDOM_BITS_CFILES))
DECODE_LOCKRES_OBJS  = $(subst .c,.o,$(DECODE_LOCKRES_CFILES))
ENCODE_LOCKRES_OBJS  = $(subst .c,.o,$(ENCODE_LOCKRES_CFILES))
MARK_JOURNAL_DIRTY_OBJS = $(subst .c,.o,$(MARK_JOURNAL_DIRTY_CFILES))
LIBOCFS2 = ../libocfs2/libocfs2.a
LIBS = $(LIBOCFS2) $(COM_ERR_LIBS)

find_hardlinks: $(FIND_HARDLINKS_OBJS) $(LIBS)
	$(LINK) 

find_dup_extents: $(FIND_DUP_EXTENTS_OBJS) $(LIBS)
	$(LINK) 

find_inode_paths: $(FIND_INODE_PATHS_OBJS) $(LIBS)
	$(LINK) 

set_random_bits: $(SET_RANDOM_BITS_OBJS) $(LIBS)
	$(LINK) 

decode_lockres: $(DECODE_LOCKRES_OBJS) $(LIBS)
	$(LINK) 

encode_lockres: $(ENCODE_LOCKRES_OBJS) $(LIBS)
	$(LINK) 

mark_journal_dirty: $(MARK_JOURNAL_DIRTY_OBJS) $(LIBS)
	$(LINK)

include $(TOPDIR)/Postamble.make

=== fsck.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = fsck.ocfs2

INCLUDES = -Iinclude -I$(TOPDIR)/libocfs2/include \
	-I$(TOPDIR)/libo2dlm/include \
	-I$(TOPDIR)/libo2cb/include
LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a
LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

ifdef OCFS2_DEBUG
OPTS += -ggdb
else
OPTS += -O2
endif

ifndef OCFS2_DYNAMIC_FSCK
LDFLAGS += -static
endif

CFLAGS := $(OPTS) -Wall -Wstrict-prototypes -Wmissing-prototypes \
           -Wmissing-declarations

DEFINES = -DOCFS2_FLAT_INCLUDES -DO2DLM_FLAT_INCLUDES -DO2CB_FLAT_INCLUDES

CFILES =	fsck.c		\
		dirblocks.c 	\
		dirparents.c 	\
		extent.c 	\
		icount.c 	\
		journal.c 	\
		pass0.c 	\
		pass1.c 	\
		pass2.c 	\
		pass3.c 	\
		pass4.c 	\
		problem.c 	\
		strings.c 	\
		util.c

HFILES = 	include/fsck.h		\
		include/dirblocks.h	\
		include/dirparents.h	\
		include/extent.h	\
		include/icount.h	\
		include/journal.h	\
		include/pass0.h		\
		include/pass1.h		\
		include/pass2.h		\
		include/pass3.h		\
		include/pass4.h		\
		include/problem.h	\
		include/strings.h	\
		include/util.h


OBJS = $(subst .c,.o,$(CFILES))
MANS = fsck.ocfs2.8 fsck.ocfs2.checks.8

DIST_FILES = $(CFILES) $(HFILES) $(addsuffix .in,$(MANS))
DIST_RULES = dist-subdircreate

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

fsck.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS)

$(OBJS): prompt-codes.h

# make it hard to add a prompt call
# without documenting what it does
prompt-codes.h: fsck.ocfs2.checks.8.in
	@echo generating $@ by parsing $^
	@rm -f .$@.tmp
	@(	echo '#ifndef __PROMPT_CODES_H__';			\
		echo '#define __PROMPT_CODES_H__';			\
		for a in `grep '^.SS ".*"' $^ | awk -F\" '{print $$2}'`; do\
			echo '#define PR_'$$a' \';			\
			echo '	(struct prompt_code){ .str = "'$$a'" }';\
		done;							\
		echo '#endif';						\
	 ) > $@

.PHONY: check-prompt-dups
check-prompt-dups: fsck.ocfs2
	@rm -f .$@.tmp
	@nm $^ | \
		awk -F'[ .]' '/fsck_prompt_callers_with_code/ {print $$3}' | \
		sort | uniq -c | awk '($$1 > 1){print $$0}' > .$@.tmp
	@cat .$@.tmp
	@test ! -s .$@.tmp

CLEAN_RULES += o2fsck-clean
.PHONY: o2fsck-clean
o2fsck-clean:
	rm -f prompt-codes.h

include $(TOPDIR)/Postamble.make

=== fswreck/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

SBIN_PROGRAMS = fswreck

DEFINES = -DG_DISABLE_DEPRECATED -DLINUX
DEFINES += -DOCFS2_FLAT_INCLUDES -DO2DLM_FLAT_INCLUDES -DO2CB_FLAT_INCLUDES -DVERSION=\"$(VERSION)\"

INCLUDES = -Iinclude -I$(TOPDIR)/libocfs2/include -I$(TOPDIR)/libo2dlm/include -I$(TOPDIR)/libo2cb/include
INCLUDES += $(GLIB_CFLAGS)

ifdef OCFS2_DEBUG
CFLAGS = -Wall -O -ggdb
else
CFLAGS = -Wall -O2
endif

CFILES = main.c corrupt.c chain.c

HFILES = 			\
	include/main.h		\
	include/corrupt.h	\
	include/chain.c

OBJS = $(subst .c,.o,$(CFILES))

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

fswreck: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(GLIB_LIBS) $(COM_ERR_LIBS)

include $(TOPDIR)/Postamble.make

=== libo2cb/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

WARNINGS = -Wall -Wstrict-prototypes -Wmissing-prototypes \
	-Wmissing-declarations

ifdef OCFS2_DEBUG
OPTS += -ggdb
else
OPTS += -O2
endif

INCLUDES = -Iinclude

LIBRARIES = libo2cb.a

CFLAGS = $(OPTS) $(WARNINGS) -fPIC
CPPFLAGS += -DO2CB_FLAT_INCLUDES

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(DEBUG_EXE_PROGRAMS)

debug_%.o : %.c 
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_%: debug_%.o libo2cb.a
	$(LINK) $(COM_ERR_LIBS)

endif

CFILES = 		\
	o2cb_abi.c	\
	o2cb_crc32.c

HFILES =				\
	include/ocfs2_nodemanager.h	\
	include/ocfs2_heartbeat.h	\
	include/o2cb_abi.h		\
	include/o2cb_crc32.h		\
	include/o2cb.h			\
	include/sparse_endian_types.h

HFILES_GEN =		\
	include/o2cb_err.h

OBJS = $(subst .c,.o,$(CFILES)) \
	o2cb_err.o

$(OBJS): $(HFILES_GEN)

include/o2cb_err.h: o2cb_err.h
	cp $< $@

o2cb_err.c o2cb_err.h: o2cb_err.et
	compile_et o2cb_err.et

libo2cb.a: $(OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

DIST_FILES = $(CFILES) $(HFILES) o2cb_err.et

DIST_RULES = dist-subdircreate

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

CLEAN_RULES = clean-err

clean-err:
	rm -f o2cb_err.c o2cb_err.h include/o2cb_err.h

include $(TOPDIR)/Postamble.make

=== libo2dlm/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

WARNINGS = -Wall -Wstrict-prototypes -Wmissing-prototypes \
	-Wmissing-declarations

ifdef OCFS2_DEBUG
OPTS += -ggdb
else
OPTS += -O2
endif

INCLUDES = -Iinclude

LIBRARIES = libo2dlm.a

CFLAGS = $(OPTS) $(WARNINGS) -fPIC
CPPFLAGS += -DO2DLM_FLAT_INCLUDES

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(DEBUG_EXE_PROGRAMS)

debug_%.o : %.c 
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_%: debug_%.o libo2dlm.a
	$(LINK) $(COM_ERR_LIBS)

endif

CFILES = o2dlm.c

TESTING_CFILES = o2dlm_test.c

HFILES = 			\
	include/kernel-list.h	\
	include/o2dlm.h 

HFILES_GEN =			\
	include/o2dlm_err.h

OBJS = $(subst .c,.o,$(CFILES)) \
	o2dlm_err.o

$(OBJS): $(HFILES_GEN)

TESTING_OBJS = $(subst .c,.o,$(TESTING_CFILES))

include/o2dlm_err.h: o2dlm_err.h
	cp $< $@

o2dlm_err.c o2dlm_err.h: o2dlm_err.et
	compile_et o2dlm_err.et

libo2dlm.a: $(OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

o2dlm_test: $(TESTING_OBJS) $(LIBRARIES) $(COM_ERR_LIBS)
	$(LINK)

DIST_FILES = $(CFILES) $(HFILES) o2dlm_err.et $(TESTING_CFILES)

DIST_RULES = dist-subdircreate

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

CLEAN_RULES = clean-err clean-test

clean-err:
	rm -f o2dlm_err.c o2dlm_err.h include/o2dlm_err.h

clean-test:
	rm -f o2dlm_test

include $(TOPDIR)/Postamble.make

=== libocfs2/Makefile ===
--- 
+++ 
@@ -79,7 +79,8 @@
 	sysfile.c	\
 	truncate.c	\
 	unix_io.c	\
-	unlink.c
+	unlink.c	\
+	lockid.c
 
 HFILES =				\
 	include/bitmap.h		\

=== listuuid/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

INCLUDES = -Iinclude -I$(TOPDIR)/libocfs2/include \
	    -I$(TOPDIR)/libocfs2cluster/include \
		-I$(TOPDIR)/libo2dlm/include \
		-I$(TOPDIR)/libo2cb/include

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

ifdef OCFS2_DEBUG
OPTS += -ggdb
else
OPTS += -O2
endif

CFLAGS := $(OPTS) -Wall -Wstrict-prototypes -Wmissing-prototypes \
           -Wmissing-declarations

DEFINES = -DOCFS2_FLAT_INCLUDES -DO2DLM_FLAT_INCLUDES -DO2CB_FLAT_INCLUDES

CFILES =	listuuid.c

OBJS = $(subst .c,.o,$(CFILES))

DIST_FILES = $(CFILES) 
DIST_RULES = dist-subdircreate

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

listuuid: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(COM_ERR_LIBS) $(UUID_LIBS)

include $(TOPDIR)/Postamble.make

=== mkfs.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

WARNINGS = -Wall -Wstrict-prototypes -Wmissing-prototypes \
           -Wmissing-declarations

ifdef OCFS2_DEBUG
OPTS = -ggdb -O0
else
OPTS = -O2
endif

CFLAGS = $(OPTS) $(WARNINGS) 

sbindir = $(root_sbindir)
SBIN_PROGRAMS = mkfs.ocfs2

LIBOCFS2_CFLAGS = -I$(TOPDIR)/libocfs2/include
LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2CB_CFLAGS = -I$(TOPDIR)/libo2cb/include
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

LIBO2DLM_CFLAGS = -I$(TOPDIR)/libo2dlm/include
LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

INCLUDES = $(LIBOCFS2_CFLAGS) $(LIBO2DLM_CFLAGS) $(LIBO2CB_CFLAGS) -I.
DEFINES = -DOCFS2_FLAT_INCLUDES -DVERSION=\"$(VERSION)\" \
	-DO2DLM_FLAT_INCLUDES -DO2CB_FLAT_INCLUDES

CFILES = mkfs.c check.c
HFILES = mkfs.h

OBJS = $(subst .c,.o,$(CFILES))

MANS = mkfs.ocfs2.8

DIST_FILES = $(CFILES) $(HFILES) mkfs.ocfs2.8.in

mkfs.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(UUID_LIBS)

include $(TOPDIR)/Postamble.make

=== mount.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = mount.ocfs2

INCLUDES = -Iinclude -I$(TOPDIR)/libocfs2/include \
	    -I$(TOPDIR)/libo2cb/include -I$(TOPDIR)/libo2dlm/include
LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a
LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

ifdef OCFS2_DEBUG
OPTS += -ggdb
else
OPTS += -O2
endif

CFLAGS := $(OPTS) -Wall -Wstrict-prototypes -Wmissing-prototypes \
           -Wmissing-declarations

DEFINES = -DOCFS2_FLAT_INCLUDES -DO2DLM_FLAT_INCLUDES \
		-DO2CB_FLAT_INCLUDES -DVERSION=\"$(VERSION)\"

CFILES = opts.c mount.ocfs2.c
CFILES += fstab.c mntent.c realpath.c sundries.c xmalloc.c

HFILES = $(subst .c,.h,$(CFILES))
HFILES += mount_constants.h nls.h paths.h

OBJS = $(subst .c,.o,$(CFILES))

DIST_FILES = $(CFILES) $(HFILES)

all: mount.ocfs2

mount.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS)

include $(TOPDIR)/Postamble.make

=== mounted.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

WARNINGS = -Wall -Wstrict-prototypes -Wmissing-prototypes \
           -Wmissing-declarations

ifdef OCFS2_DEBUG
OPTS = -O -ggdb
else
OPTS = -O2
endif

CFLAGS = $(OPTS) $(WARNINGS) -DOCFS2_FLAT_INCLUDES -DO2DLM_FLAT_INCLUDES \
	-DO2CB_FLAT_INCLUDES

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

sbindir = $(root_sbindir)
SBIN_PROGRAMS = mounted.ocfs2

INCLUDES = -I$(TOPDIR)/libocfs2/include -I$(TOPDIR)/libo2dlm/include \
	-I$(TOPDIR)/libo2cb/include

CFILES = mounted.c
OBJS = $(subst .c,.o,$(CFILES))

MANS = mounted.ocfs2.8

DIST_FILES = $(CFILES) mounted.ocfs2.8.in

mounted.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS)  $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(UUID_LIBS)

include $(TOPDIR)/Postamble.make

## ocfs2-tools 1.2.1

=== Makefile ===
--- 
+++ 
@@ -65,6 +65,7 @@
 	Preamble.make				\
 	Postamble.make				\
 	aclocal.m4				\
+	blkid.m4				\
 	glib-2.0.m4				\
 	python.m4				\
 	pythondev.m4				\

## ocfs2-tools 1.3.9-0ubuntu1

=== Makefile ===
--- 
+++ 
@@ -20,23 +20,19 @@
 COMPILE_PY = 1
 endif
 
-TOOLSARCH = $(shell $(TOPDIR)/rpmarch.guess tools $(TOPDIR))
-
-ifeq ($(TOOLSARCH),error)
-$(error could not detect architecture for tools)
-endif
-
-SUBDIRS = libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 listuuid sizetest extras patches
-
-ifdef BUILD_OCFS2CDSL
-SUBDIRS += ocfs2cdsl
-endif
+SUBDIRS = libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2cdsl listuuid sizetest extras patches
 
 ifdef BUILD_OCFS2CONSOLE
 SUBDIRS += ocfs2console
 endif
 
 SUBDIRS += vendor
+
+PKGCONFIG_SOURCES =	\
+	o2cb.pc.in	\
+	o2dlm.pc.in	\
+	ocfs2.pc.in
+PKGCONFIG_FILES = $(patsubst %.pc.in,%.pc,$(PKGCONFIG_SOURCES))
 
 DEBIAN_FILES =					\
 	debian/README.Debian			\
@@ -53,6 +49,9 @@
 	debian/ocfs2console.manpages		\
 	debian/ocfs2console.postinst		\
 	debian/ocfs2console.prerm		\
+	debian/ocfs2-tools-dev.install		\
+	debian/ocfs2-tools-dev.postinst		\
+	debian/ocfs2-tools-dev.prerm		\
 	debian/rules
 
 DIST_FILES = \
@@ -67,6 +66,7 @@
 	aclocal.m4				\
 	blkid.m4				\
 	glib-2.0.m4				\
+	mbvendor.m4				\
 	python.m4				\
 	pythondev.m4				\
 	runlog.m4				\
@@ -77,9 +77,13 @@
 	install-sh				\
 	mkinstalldirs				\
 	rpmarch.guess				\
+	svnrev.guess				\
+	Vendor.make				\
+	vendor.guess				\
 	documentation/ocfs2_faq.txt		\
 	documentation/users_guide.txt		\
 	documentation/samples/cluster.conf	\
+	$(PKGCONFIG_SOURCES)			\
 	$(DEBIAN_FILES)
 
 DIST_RULES = dist-subdircreate
@@ -101,13 +105,18 @@
 	$(MAKE) dist-bye
 
 distclean: clean
-	rm -f Config.make config.status config.cache config.log
+	rm -f Config.make config.status config.cache config.log $(PKGCONFIG_FILES)
 
-srpm: dist
-	$(RPMBUILD) -bs --define "_sourcedir $(RPM_TOPDIR)" --define "_srcrpmdir $(RPM_TOPDIR)" --define "pygtk_name $(PYGTK_NAME)" --define "pyversion $(PYVERSION)" --define "chkconfig_dep $(CHKCONFIG_DEP)" --define "compile_py $(COMPILE_PY)" $(TOPDIR)/vendor/common/ocfs2-tools.spec
+INSTALL_RULES = install-pkgconfig
 
-rpm: srpm
-	$(RPMBUILD) --rebuild --define "pygtk_name $(PYGTK_NAME)" --define "pyversion $(PYVERSION)" --define "chkconfig_dep $(CHKCONFIG_DEP)" --define "compile_py $(COMPILE_PY)" $(TOOLSARCH) "ocfs2-tools-$(DIST_VERSION)-$(RPM_VERSION).src.rpm"
+install-pkgconfig: $(PKGCONFIG_FILES)
+	$(SHELL) $(TOPDIR)/mkinstalldirs $(DESTDIR)$(libdir)/pkgconfig
+	for p in $(PKGCONFIG_FILES); do \
+	  $(INSTALL_DATA) $$p $(DESTDIR)$(libdir)/pkgconfig/$$p; \
+        done
+
+
+include Vendor.make
 
 def:
 	@echo $(TOOLSARCH)

=== debugfs.ocfs2/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 CFLAGS = -Wall -O2
 endif
 
-CFILES = main.c commands.c dump.c utils.c journal.c find_inode_paths.c dump_fs_locks.c
+CFILES = main.c commands.c dump.c utils.c journal.c find_block_inode.c find_inode_paths.c dump_fs_locks.c
 
 HFILES =			\
 	include/main.h			\
@@ -25,6 +25,7 @@
 	include/dump.h			\
 	include/utils.h			\
 	include/journal.h		\
+	include/find_block_inode.h	\
 	include/find_inode_paths.h	\
 	include/ocfs2_internals.h	\
 	include/dump_fs_locks.h
@@ -44,6 +45,6 @@
 	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include
 
 debugfs.ocfs2: $(OBJS)
-	$(LINK) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) -lreadline -lncurses
+	$(LINK) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(READLINE_LIBS) $(NCURSES_LIBS)
 
 include $(TOPDIR)/Postamble.make

=== fswreck/Makefile ===
--- 
+++ 
@@ -16,7 +16,9 @@
 CFLAGS = -Wall -O2
 endif
 
-CFILES = main.c corrupt.c chain.c
+UNINST_PROGRAM = fswreck
+
+CFILES = main.c corrupt.c chain.c extent.c group.c inode.c local_alloc.c truncate_log.c special.c symlink.c dir.c
 
 HFILES = 			\
 	include/main.h		\

=== libo2dlm/Makefile ===
--- 
+++ 
@@ -47,6 +47,9 @@
 HFILES_GEN =			\
 	include/o2dlm_err.h
 
+HEADERS_SUBDIR = o2dlm
+HEADERS = $(HFILES) $(HFILES_GEN)
+
 OBJS = $(subst .c,.o,$(CFILES)) \
 	o2dlm_err.o

=== libocfs2/Makefile ===
--- 
+++ 
@@ -80,7 +80,9 @@
 	truncate.c	\
 	unix_io.c	\
 	unlink.c	\
-	lockid.c
+	lockid.c	\
+	backup_super.c	\
+	feature_string.c
 
 HFILES =				\
 	include/bitmap.h		\
@@ -95,10 +97,14 @@
 	include/ocfs1_fs_compat.h	\
 	include/ocfs2_lockid.h		\
 	include/ocfs2_fs.h		\
-	include/ocfs2.h
+	include/ocfs2.h			\
+	include/feature_string.h
 
 HFILES_GEN =		\
 	include/ocfs2_err.h
+
+HEADERS_SUBDIR = ocfs2
+HEADERS = $(HFILES) $(HFILES_GEN)
 
 OBJS = $(subst .c,.o,$(CFILES)) \
 	ocfs2_err.o
@@ -111,7 +117,7 @@
 ocfs2_err.c ocfs2_err.h: ocfs2_err.et
 	compile_et ocfs2_err.et
 
-libocfs2.a: $(OBJS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
+libocfs2.a: $(OBJS)
 	rm -f $@
 	$(AR) r $@ $^
 	$(RANLIB) $@

=== listuuid/Makefile ===
--- 
+++ 
@@ -27,6 +27,8 @@
 
 DEFINES = -DOCFS2_FLAT_INCLUDES -DO2DLM_FLAT_INCLUDES -DO2CB_FLAT_INCLUDES
 
+UNINST_PROGRAMS = listuuid
+
 CFILES =	listuuid.c
 
 OBJS = $(subst .c,.o,$(CFILES))

=== o2cb_ctl/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = o2cb_ctl

INCLUDES = -Iinclude -I$(TOPDIR)/libocfs2/include \
	    -I$(TOPDIR)/libo2cb/include
LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2CB_LIBS  = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

ifdef OCFS2_DEBUG
OPTS += -ggdb
else
OPTS += -O2
endif

ifndef OCFS2_DYNAMIC_CTL
LDFLAGS += -static
endif

CFLAGS := $(OPTS) -Wall -Wstrict-prototypes -Wmissing-prototypes \
           -Wmissing-declarations

DEFINES = -DO2CB_FLAT_INCLUDES -DVERSION=\"$(VERSION)\"

O2CB_CTL_CFILES = o2cb_ctl.c o2cb_config.c \
	jconfig.c jiterator.c

O2CB_CTL_OBJS = $(subst .c,.o,$(O2CB_CTL_CFILES))

HFILES = o2cb_config.h jconfig.h jiterator.h

CFILES = $(CLUSTERBO_CFILES) $(O2CB_CTL_CFILES)

MANS = o2cb_ctl.8

DIST_FILES = $(CFILES) $(HFILES) o2cb_ctl.8.in

DIST_RULES = dist-subdircreate

jconfig_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
jiterator_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
o2cb_config_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
o2cb_ctl_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED

o2cb_ctl: $(O2CB_CTL_OBJS) $(LIBOCFS2_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBO2CB_LIBS) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(COM_ERR_LIBS)

include $(TOPDIR)/Postamble.make

=== sizetest/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

#WARNINGS = -Wall -Wstrict-prototypes -Wmissing-prototypes \
#           -Wmissing-declarations

ifdef OCFS2_DEBUG
OPTS = -O -ggdb
else
OPTS = -O2
endif

CFLAGS = $(OPTS) $(WARNINGS)

UNINST_PROGRAMS = sizetest.ocfs2

INCLUDES = -I$(TOPDIR)/libocfs2/include -I$(TOPDIR)/libo2dlm/include -I$(TOPDIR)/libo2cb/include
DEFINES = -DOCFS2_FLAT_INCLUDES -DVERSION=\"$(VERSION)\" -DO2DLM_FLAT_INCLUDES -DO2CB_FLAT_INCLUDES

CFILES = sizetest.c
OBJS = $(subst .c,.o,$(CFILES))

DIST_FILES = $(CFILES)

sizetest.ocfs2: $(OBJS) $(LIBOCFS2_DEPS)
	$(LINK)

include $(TOPDIR)/Postamble.make

=== tunefs.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

WARNINGS = -Wall -Wstrict-prototypes -Wno-format -Wmissing-prototypes \
           -Wmissing-declarations

ifdef OCFS2_DEBUG
OPTS = -O -ggdb
else
OPTS = -O2
endif

CFLAGS = $(OPTS) $(WARNINGS) 

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

sbindir = $(root_sbindir)
SBIN_PROGRAMS = tunefs.ocfs2

INCLUDES = -I$(TOPDIR)/libocfs2/include -I$(TOPDIR)/libo2dlm/include -I$(TOPDIR)/libo2cb/include -I.
INCLUDES += $(GLIB_CFLAGS)
DEFINES = -DOCFS2_FLAT_INCLUDES -DVERSION=\"$(VERSION)\" -DO2DLM_FLAT_INCLUDES -DO2CB_FLAT_INCLUDES

MANS = tunefs.ocfs2.8

CFILES = tunefs.c query.c remove_slot.c sparse_file.c features.c
HFILES = tunefs.h

OBJS = $(subst .c,.o,$(CFILES))

DIST_FILES = $(CFILES) $(HFILES) tunefs.ocfs2.8.in

tunefs.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(UUID_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS)

include $(TOPDIR)/Postamble.make

=== vendor/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

SUBDIRS = common rhel5 sles10 rhel4 sles9 fc7

include $(TOPDIR)/Postamble.make

=== ocfs2console/ocfs2interface/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

WARNINGS = -Wall

ifdef OCFS2_DEBUG
OPTS = -g
endif
OPTS = -g

CFLAGS = $(OPTS) $(WARNINGS) -fPIC

PYMOD_CFLAGS = $(CFLAGS) -fno-strict-aliasing $(PYTHON_INCLUDES)

LIBOCFS2_CFLAGS = -I$(TOPDIR)/libocfs2/include
LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_CFLAGS = -I$(TOPDIR)/libo2dlm/include
LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_CFLAGS = -I$(TOPDIR)/libo2cb/include
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

ifdef HAVE_BLKID
BLKID_DEPS =
else
BLKID_DEPS = $(TOPDIR)/ocfs2console/blkid/libblkid-internal.a

BLKID_CFLAGS = -I$(TOPDIR)/ocfs2console
BLKID_LIBS = -L$(TOPDIR)/ocfs2console/blkid -lblkid-internal $(UUID_LIBS)
endif

O2CB_CPPFLAGS = -DO2CB_FLAT_INCLUDES $(LIBO2CB_CFLAGS)
OCFS2_CPPFLAGS = -DOCFS2_FLAT_INCLUDES -DO2DLM_FLAT_INCLUDES $(LIBOCFS2_CFLAGS) $(LIBO2DLM_CFLAGS) $(O2CB_CPPFLAGS)

GLIB_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED

OPTIMIZE = -O2

CFLAGS += $(OPTIMIZE)

PLIST_CBITS = ocfsplist.c
PLIST_CFILES = $(PLIST_CBITS) plistmodule.c
PLIST_HFILES = $(subst .c,.h,$(PLIST_CBITS))

ocfsplist_CPPFLAGS = $(OCFS2_CPPFLAGS) $(GLIB_CPPFLAGS) $(BLKID_CFLAGS)
plistmodule_CPPFLAGS = $(GLIB_CPPFLAGS)
plistmodule_CFLAGS = $(PYMOD_CFLAGS)

GIDLE_CFILES = gidlemodule.c
gidlemodule_CPPFLAGS = $(GLIB_CPPFLAGS)
gidlemodule_CFLAGS = $(PYMOD_CFLAGS)

O2CB_CFILES = o2cbmodule.c
o2cbmodule_CPPFLAGS = $(O2CB_CPPFLAGS)
o2cbmodule_CFLAGS = $(PYMOD_CFLAGS)

OCFS2_CFILES = ocfs2module.c
ocfs2module_CPPFLAGS = $(OCFS2_CPPFLAGS)
ocfs2module_CFLAGS = $(PYMOD_CFLAGS)

PLIST_OBJS = $(subst .c,.o,$(PLIST_CFILES))
GIDLE_OBJS = $(subst .c,.o,$(GIDLE_CFILES))
OCFS2_OBJS = $(subst .c,.o,$(OCFS2_CFILES))
O2CB_OBJS = $(subst .c,.o,$(O2CB_CFILES))

# These are UNINST_ because the python install rule will handle them.
UNINST_LIBRARIES = plistmodule.so gidlemodule.so ocfs2module.so o2cbmodule.so

PYSRC = \
	__init__.py		\
	about.py		\
	bosa.py			\
	classlabel.py		\
	console.py		\
	format.py		\
	fsck.py			\
	fstab.py		\
	fswidgets.py		\
	general.py		\
	guiutil.py		\
	ipwidget.py		\
	ls.py			\
	mount.py		\
	menu.py			\
	nodeconfig.py		\
	o2cb_ctl.py		\
	partitionview.py	\
	process.py		\
	pushconfig.py		\
	terminal.py		\
	toolbar.py		\
	tune.py

BUILT_PYSRC = confdefs.py

PYLIB = $(UNINST_LIBRARIES) $(PYSRC) $(BUILT_PYSRC)

INSTALL_RULES = install-pylib

DIST_FILES = $(PLIST_CFILES) $(PLIST_HFILES) $(GIDLE_CFILES) $(OCFS2_CFILES) $(O2CB_CFILES) $(PYSRC) $(addsuffix .in,$(BUILT_PYSRC))

plistmodule.so: $(PLIST_OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(BLKID_DEPS)
	$(LINK) -shared $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(BLKID_LIBS) $(COM_ERR_LIBS) $(GLIB_LIBS)

gidlemodule.so: $(GIDLE_OBJS)
	$(LINK) -shared $(GLIB_LIBS)

ocfs2module.so: $(OCFS2_OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) -shared $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(UUID_LIBS)

o2cbmodule.so: $(O2CB_OBJS) $(LIBO2CB_DEPS)
	$(LINK) -shared $(LIBO2CB_LIBS) $(COM_ERR_LIBS)

install-pylib:
	$(SHELL) $(TOPDIR)/mkinstalldirs $(DESTDIR)$(pyexecdir)/ocfs2interface
	for f in $(PYLIB); do \
	  $(INSTALL_DATA) $$f $(DESTDIR)$(pyexecdir)/ocfs2interface/$$f; \
	done

include $(TOPDIR)/Postamble.make

=== vendor/common/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

DIST_FILES =					\
	o2cb.init				\
	o2cb.sysconfig				\
	ocfs2.init				\
	ocfs2-tools.spec-generic.in		\
	Vendor.make

include $(TOPDIR)/Postamble.make

=== debian/changelog ===
ocfs2-tools (1.3.9-0ubuntu1) hardy; urgency=low
  
  * Update default timeouts in template and translations files.

  * debian/rules: fix clean target to not purge upstream patches/ directory.

  * debian/control: rework Build-Depends
    - sort them: debian build specific bits first, upstream after in configure
      check order.
    - add pkg-config.
    - add libselinux1-dev and libsepol1-dev.

  * add package ocfs2-tools-static-dev to include all development headers and
    static libraries required to build ocfs2-test (and possibly other tools
    that already in development stage.

  * stop shipping local copy of mount.ocfs2.8

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 19 Nov 2007 06:53:59 +0100

ocfs2-tools (1.2.4-1) unstable; urgency=low

  * The "Lazo rosa" release.
  * New upstream release.  This version was released on Apr 6th, 2007.  Main
    changes are:
    - Allow network timeout configuration.
    - Bug fixes.
    - offsetof(3) issues have been fixed, so patches/102_stddef.h is no longer
      relevant.
  * Added debconf support for O2CB_IDLE_TIMEOUT_MS, O2CB_KEEPALIVE_DELAY_MS
    and O2CB_RECONNECT_DELAY_MS in postinst, config and templates mainly from
    Ubuntu.
  * po/es.po: While at it, updated Spanish translation.
  * po/vi.po: Updated Vietnamese translation, thanks to Clytie Siddall
    (closes: #438451).
  * po/ru.po: Updated Russian translation, thanks to Yuri Kozlov (closes:
    #438633).
  * po/fr.po: Updated French translation.  Thanks to Jean-Baka
    Domelevo-Entfellner (closes: #440579).
  * po/cs.po: Updated Czech translation.  Thanks to Miroslav Kure (closes:
    #442903).
  * Added /etc/init.d/ocfs2 in order to mount and unmount OCFS2 volumes, that I
    simply missed on past releases.  This allows to unmount OCFS2 during a
    reboot and thus avoid a panic (closes: #416550).
  * debian/rules: Removed old code for quilt patching now that we include the
    Makefile from that package.
  * This version does not fail to build twice in a row (strange...).  Closes:
    #442692.

 -- David Martínez Moreno <ender@debian.org>  Tue, 18 Sep 2007 02:02:31 +0200

ocfs2-tools (1.2.3-1) unstable; urgency=low

  * New upstream release.  This version was released on Feb 2nd, 2007.  Main
    changes are:
    - Backup superblock support added.
    - Local mount support added (with kernel 2.6.20+).
    - Heartbeat thread's IO priority can now be set (with kernel 2.6.20+).
    - Bugs fixed in fsck, debugfs and console .
  * Removed parts of debian/NEWS no longer relevant.
  * Renamed debian/README to debian/README.Debian in order to be included by
    dh_installdocs.
  * Added short description to o2cb init script in order to clean a lintian
    warning.

 -- David Martínez Moreno <ender@debian.org>  Thu, 16 Aug 2007 02:41:22 +0200

ocfs2-tools (1.2.2-1) unstable; urgency=low

  * New upstream release.  This version was released on Oct 20th, 2006.  Main
    changes are:
    - tunefs.ocfs2: Volumes can be resized offline.
    - debugfs.ocfs2: Commands bmap, findpath, ncheck and decode added.
    - Fixed bug in o2cb_ctl when adding nodes (closes: #405353).
    - Fixed lots of bugs.
  * Removed ocfs2console/blkid/blkid_types.h, that slipped in 1.2.1-1.2.
  * Acknowledged NMUs (closes: #380879, #389916).
  * Added Dutch translation (thanks, cobaco).  Closes: #436863.
  * Merged 01-manpages-typos and some parts of 02-init-typos patches upstream.
  * debian/rules: Changed dh_install to --list-missing in order to ignore
    temporally the now installed headers.
  * debian/control: Replaced Source-Version with binary:Version.

 -- David Martínez Moreno <ender@debian.org>  Wed, 15 Aug 2007 02:46:28 +0200

ocfs2-tools (1.2.1-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * add patches/102_stddef.h to fix FTBFS (missing #include <stddef.h> to know
    about offsetof). closes: #428949.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 18 Jul 2007 17:37:23 +0200

ocfs2-tools (1.2.1-1.3) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Fix the spelling of "milliseconds" in debconf templates
  * Unmark a string for translation. Closes: #372520
  * Debconf templates translations:
    - Czech updated. Closes: #369582
    - French updated. Closes: #374335
    - Vietnamese added. Sent during the call for updates of the NMU campaign.
    - Swedish added. Sent during the call for updates of the NMU campaign.
    - German added. Sent during the call for updates of the NMU campaign.
    - Russian added. Sent during the call for updates of the NMU campaign.
    - Brazilian Portuguese added. Sent during the call for updates
      of the NMU campaign.
    - Fix the encoding of the Spanish translation..:-)

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Dec 2006 19:49:10 +0100

ocfs2-tools (1.2.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move dh_installdeb to after dh_pysupport, to make sure
    update-python-modules is indeed called in postinst. (Closes: #388529)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 28 Sep 2006 13:19:03 +0200

ocfs2-tools (1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380879).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 31 Aug 2006 13:45:20 +0200

ocfs2-tools (1.2.1-1) unstable; urgency=low

  * New upstream release (closes: #362204, #364549).  This release also fixes
    the double-free error that new glibc triggered, so closes: #358784 as
    well.
  * Added Czech debconf translation. Thanks, Miroslav Kure. Closes: #353372.
  * Added French debconf translation. Thanks, Julien Rosal. Closes: #354274.
  * Rewrote debconf templates, rendering above changes partly useless. Thanks
    to Thomas Huriaux for the time and the patch. Closes: #352505.
  * Updated Spanish translation.
  * debian/control:
    - Added libdevmapper-dev to Build-Depends, and bumped debhelper dependency
      to >= 5.


## ocfs2-tools 1.3.9-0ubuntu3

=== debian/changelog ===
ocfs2-tools (1.3.9-0ubuntu3) jaunty; urgency=low

  * modprobe ocfs2_stackglue module on o2cb start (LP: #283262)

 -- Ante Karamatic <ivoks@ubuntu.com>  Wed, 01 Apr 2009 13:54:12 +0200

ocfs2-tools (1.3.9-0ubuntu2) jaunty; urgency=low

  * Fix build failure with -D_FORTIFY_SOURCE.
  * Rebuild for python2.6.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Feb 2009 12:09:04 +0000

=== debian/control ===
Source: ocfs2-tools
Section: admin
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Martínez Moreno <ender@debian.org>
Standards-Version: 3.7.2.0
Build-Depends: debhelper (>= 5), po-debconf, python-support (>= 0.4), quilt, pkg-config, comerr-dev, uuid-dev, libncurses5-dev, libreadline5-dev, libglib2.0-dev (>= 2.2.3), libblkid-dev (>= 1.36), libdevmapper-dev, libselinux1-dev, libsepol1-dev, python-dev, python-gtk2

Package: ocfs2-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: admin
Suggests: ocfs2console
Description: tools for managing OCFS2 cluster filesystems
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs the tools to manage the OCFS2 filesystem, including mkfs,
 tunefs, fsck, debugfs, and the utilities to control the O2CB clustering stack.

Package: ocfs2-tools-static-dev
Architecture: any
Depends: ${shlibs:Depends}, ocfs2-tools (= ${Source-Version})
Section: devel
Description: tools for managing OCFS2 cluster filesystems - development files
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs the development headers and static libraries.

Package: ocfs2console
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ocfs2-tools (= ${binary:Version}), python-gtk2
Section: admin
Description: tools for managing OCFS2 cluster filesystems (graphical interface)
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 A GUI frontend for managing OCFS2 volumes on the system. One can mount
 and unmount volumes, format, view overview information and individual
 files, and view and modify the current cluster configuration.
